%define	name	nettle
%define	version	2.7.1
%define nettlemajor 4
%define hogweedmajor 2
%define libnettlename %mklibname nettle %nettlemajor
%define libhogweedname %mklibname hogweed %hogweedmajor
%define develname %mklibname -d nettle

Name:		%{name}
Summary:	Nettle cryptographic library
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
URL:		http://www.lysator.liu.se/~nisse/nettle/
Source:		http://www.lysator.liu.se/~nisse/archive/%name-%{version}.tar.xz
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRequires:	libgmp-devel
BuildRequires:	texinfo
Requires:       %{libnettlename} = %version-%release

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n %{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n %{libnettlename}
This is the shared library part of the Nettle/hogweed library.


%package -n %develname
Group:		Development/Libraries
Summary:	Header files for compiling against Nettle library
Provides:	%name-devel = %version-%release
Requires:	%{libnettlename} = %version-%release
Obsoletes:	%mklibname -d nettle 0

%description -n %develname
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x --enable-shared
%make

%install
%makeinstall_std

%files
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}*
%{_libdir}/libhogweed.so.%{hogweedmajor}*

%files -n %develname
%doc AUTHORS TODO ChangeLog
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle


%changelog
* Sun Mar 09 2014 bb <bb> 2.7.1-2pclos2014
- rebuild against updated gmp library

* Tue Oct 01 2013 pinoc <vogtpet at gmail.com> 2.7.1-1pclos2013
- 2.7.1
- convert source to tar.xz (tex)
- combine into one library file (tex)

* Thu Oct 20 2011 Texstar <texstar at gmail.com> 2.4-1pclos2011
- 2.4
